# Written by Micah Hoffman (@webbreacher)
# PT-BR version by Daniel Marques (@0xc0da)

require_relative "../list_checker.rb"

register_checker("PTBR_Explicit_Checker")

class PTBR_Explicit_Checker < List_Checker
	def initialize
		super
		@description = "List of Brazilian Portuguese explicit terms"
		@list = {
								"anus" => 0,
								"babaca" => 0,
								"bacura" => 0,
								"bagos" => 0,
								"baitola" => 0,
								"bebum" => 0,
								"bicha" => 0,
								"bisca" => 0,
								"bixa" => 0,
								"boceta" => 0,
								"boco" => 0,
								"boiola" => 0,
								"bolagato" => 0,
								"boquete" => 0,
								"bolcat" => 0,
								"bosseta" => 0,
								"bosta" => 0,
								"brioco" => 0,
								"bronha" => 0,
								"buca" => 0,
								"buceta" => 0,
								"bunda" => 0,
								"caga" => 0,
								"cagado" => 0,
								"cagao" => 0,
								"cagona" => 0,
								"caralho" => 0,
								"checheca" => 0,
								"chereca" => 0,
								"chota" => 0,
								"chochota" => 0,
								"culhao" => 0,
								"curalho" => 0,
								"cuzao" => 0,
								"cuzuda" => 0,
								"cuzudo" => 0,
								"escrota" => 0,
								"escroto" => 0,
								"esporrada" => 0,
								"esporrado" => 0,
								"esporro" => 0,
								"feladaputa" => 0,
								"foda" => 0,
								"fodao" => 0,
								"fode" => 0,
								"fodida" => 0,
								"fodido" => 0,
								"fudendo" => 0,
								"fudecao" => 0,
								"fudeu" => 0,
								"fudida" => 0,
								"fudido" => 0,
								"grelinho" => 0,
								"grelo" => 0,
								"iscrota" => 0,
								"iscroto" => 0,
								"lesbica" => 0,
								"masturba" => 0,
								"merda" => 0,
								"mija" => 0,
								"mijada" => 0,
								"mijado" => 0,
								"mijo" => 0,
								"peido" => 0,
								"pemba" => 0,
								"penis" => 0,
								"pica" => 0,
								"picao" => 0,
								"piranha" => 0,
								"piroca" => 0,
								"piroco" => 0,
								"piru" => 0,
								"porra" => 0,
								"prega" => 0,
								"prostituta" => 0,
								"prostituto" => 0,
								"punheta" => 0,
								"punhetao" => 0,
								"puta" => 0,
								"puto" => 0,
								"rabao" => 0,
								"rabo" => 0,
								"rabuda" => 0,
								"rabudao" => 0,
								"rabudo" => 0,
								"rabudona" => 0,
								"racha" => 0,
								"rachada" => 0,
								"rachadao" => 0,
								"rachadinha" => 0,
								"rachadinho" => 0,
								"rachado" => 0,
								"rola" => 0,
								"safada" => 0,
								"safado" => 0,
								"sapatao" => 0,
								"siririca" => 0,
								"tarada" => 0,
								"tarado" => 0,
								"tezao" => 0,
								"tezuda" => 0,
								"tezudo" => 0,
								"trolha" => 0,
								"vagabunda" => 0,
								"vagabundo" => 0,
								"veada" => 0,
								"veadao" => 0,
								"veado" => 0,
								"viada" => 0,
								"viado" => 0,
								"viadao" => 0,
								"xavasca" => 0,
								"xerereca" => 0,
								"xexeca" => 0,
								"xibiu" => 0,
								"xibumba" => 0,
								"xota" => 0,
								"xochota" => 0,
								"xoxota" => 0,
								"xana" => 0,
								"xaninha" => 0,
		         }
	end

	def get_results()
		return super("Brazilian Portuguese Explicit")
	end
end
